> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reap.global/llms.txt
> Use this file to discover all available pages before exploring further.

# Get company application

> Retrieves a specific company application by its ID.



## OpenAPI

````yaml /api-reference/openapi.json get /companies/{id}/applications/{applicationId}
openapi: 3.1.0
info:
  title: Reap API
  version: 1.0.0
  description: Reap platform API
servers:
  - url: https://sandbox.api.reap.global
    description: Sandbox
  - url: https://prod.api.reap.global
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Accounts
  - name: Activities
  - name: Card Designs
  - name: Card Shipments
  - name: Card Transactions
  - name: Cards
  - name: Companies
  - name: Crypto Deposits
  - name: Policies
  - name: Simulation
  - name: Users
  - name: Virtual Asset Postings
  - name: Virtual Assets
  - name: Webhooks
paths:
  /companies/{id}/applications/{applicationId}:
    get:
      tags:
        - Companies
      summary: Get company application
      description: Retrieves a specific company application by its ID.
      operationId: getApplication_companies
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            description: Unique company identifier
        - name: applicationId
          in: path
          required: true
          schema:
            description: Unique company application identifier
            type: string
            format: uuid
        - name: Reap-Version
          in: header
          required: true
          schema:
            type: string
            enum:
              - '2025-02-14'
            description: API version (YYYY-MM-DD)
            example: '2025-02-14'
      responses:
        '200':
          description: Company application details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CompanyApplication'
                type: object
                properties:
                  id:
                    description: Unique company application identifier
                    type: string
                    format: uuid
                  companyId:
                    description: Company this application belongs to
                    type: string
                    format: uuid
                  status:
                    type: string
                    enum:
                      - INITIATED
                      - IN_PROGRESS
                      - APPROVED
                      - REJECTED
                      - REVIEW_REQUIRED
                      - WORKFLOW_ERROR
                      - EXPIRED
                    description: Application lifecycle status
                    example: INITIATED
                  sessionUrl:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: URL for the corporate client to complete verification
                  expiresAt:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: When the verification session URL expires (ISO 8601)
                  createdAt:
                    type: string
                    description: When the application was created (ISO 8601)
                  updatedAt:
                    type: string
                    description: When the application was last updated (ISO 8601)
                required:
                  - id
                  - companyId
                  - status
                  - sessionUrl
                  - expiresAt
                  - createdAt
                  - updatedAt
        '404':
          description: Response for status 404
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            const: COMPANY_NOT_FOUND
                          message:
                            type: string
                          detail:
                            anyOf:
                              - type: object
                                additionalProperties: {}
                              - type: 'null'
                        required:
                          - code
                          - message
                          - detail
                    required:
                      - error
                    title: CompanyNotFoundError
                    description: Company not found
                  - type: object
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            const: COMPANY_APPLICATION_NOT_FOUND
                          message:
                            type: string
                          detail:
                            anyOf:
                              - type: object
                                additionalProperties: {}
                              - type: 'null'
                        required:
                          - code
                          - message
                          - detail
                    required:
                      - error
                    title: CompanyApplicationNotFoundError
                    description: Company application not found
components:
  schemas:
    CompanyApplication:
      type: object
      properties:
        id:
          description: Unique company application identifier
          type: string
          format: uuid
        companyId:
          description: Company this application belongs to
          type: string
          format: uuid
        status:
          type: string
          enum:
            - INITIATED
            - IN_PROGRESS
            - APPROVED
            - REJECTED
            - REVIEW_REQUIRED
            - WORKFLOW_ERROR
            - EXPIRED
          description: Application lifecycle status
          example: INITIATED
        sessionUrl:
          anyOf:
            - type: string
            - type: 'null'
          description: URL for the corporate client to complete verification
        expiresAt:
          anyOf:
            - type: string
            - type: 'null'
          description: When the verification session URL expires (ISO 8601)
        createdAt:
          type: string
          description: When the application was created (ISO 8601)
        updatedAt:
          type: string
          description: When the application was last updated (ISO 8601)
      required:
        - id
        - companyId
        - status
        - sessionUrl
        - expiresAt
        - createdAt
        - updatedAt
      description: Company application
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key as Bearer token

````